unit common;

interface

uses Windows;

const
  IDOK = 1;     ID_OK = IDOK;
  IDCANCEL = 2; ID_CANCEL = IDCANCEL;
  IDABORT = 3;  ID_ABORT = IDABORT;
  IDRETRY = 4;  ID_RETRY = IDRETRY;
  IDIGNORE = 5; ID_IGNORE = IDIGNORE;
  IDYES = 6;    ID_YES = IDYES;
  IDNO = 7;     ID_NO = IDNO;
  IDCLOSE = 8;  ID_CLOSE = IDCLOSE;
  IDHELP = 9;   ID_HELP = IDHELP;

type
  TDWordFiller = record
  end;
  TWMHotKey = record
    Msg: Cardinal;
    MsgFiller: TDWordFiller;
    HotKey: WPARAM;
    Unused: LPARAM;
    Result: LRESULT;
  end;


function BooleanToLongint(b : boolean) : longint;
function LongintToBoolean(l : longint) : boolean;

function ALowerCase(const S: string): string;
function AUpperCase(const S: string): string;

function ExtractFileNameNoExt(const FileName : string) : string;

function FastAnsiTextCompare(const sall, supp : string) : boolean;

implementation

function BooleanToLongint(b : boolean) : longint;
begin if b then result := 1 else result := 0; end;
function LongintToBoolean(l : longint) : boolean;
begin result := l <> 0; end;

function ALowerCase(const S: string): string;
var
  Len: Integer;
begin
  Len := Length(S);
  SetString(Result, PChar(S), Len);
  CharLowerBuff(Pointer(Result), Len);
end;

function AUpperCase(const S: string): string;
var
  Len: Integer;
begin
  Len := Length(S);
  SetString(Result, PChar(S), Len);
  CharUpperBuff(Pointer(Result), Len);
end;

function ExtractFileNameNoExt(const FileName : string) : string;
  var
   f, l, lt, ls : longint;
begin
      l := Length(FileName); lt := l + 1; ls := 0;
 if l > 0 then begin
  for f := l downto 1 do begin
    if (lt = l + 1) and (FileName[f] = '.') then lt := f;
    if (FileName[f] = '\') or (FileName[l] = '/') then begin ls := f; break; end;
  end; {next f}
 Result := Copy(FileName, ls + 1, l - (l - (lt - 1)) - ls );
 end else result := '';
end;

function FastAnsiTextCompare(const sall, supp : string) : boolean;
  var
    f, l1, l2, l : longint;
begin result := false;
l1 := Length(sall); l2 := Length(supp);
if l1 <> l2 then exit;
if l1 = 0 then begin result := true; exit; end;
for f := 1 to l1 do if Longint(CharUpper(PCHar(ord(sall[f])))) <> ord(supp[f]) then exit;
result := true;
end;

end.